Subject: Re: humungus fungus
From: [email-masked] (MycoWorld)
Date: 16 Jul 1994 00:17:01 -0400
Newsgroups: bionet.mycology

In article <[email-masked]>, [email-masked]
writes:

Actually there probably isn't much to see, virtually the entire organism
(i.e. the mycelia) is underground.  Some have suggested that colonies of
aspen and related species probably contain more biomass.  The armillaria
involved is, I believe, commonly known as the honey mushroom.  You would
more than likely see a few scattered mushrooms if you happen to visit at
the correct time of year and under the correct weather conditions.  Enjoy
your visit to Wisconsin tho - lots of neat things to see there!